ESDSAMPLE(1)

NAME
esdsample - play a sample

SYNOPSIS

esdsample [-s hostname:port] [-b] [-d] [-e] [-h] [-m] [-r freq] samplename

DESCRIPTION

The esdsample utility plays a sample using the Enlighted Sound Daemon (esd).

OPTIONS

The following options are supported:

-s hostname:port
Contact the esd server on hostname at port.

-b
Specify that the output should be in 8-bit format. By default, the output is in 16-bit format.

-d
Play the sample from file as raw data. The default behavior is to read the data from a sound file (.wav, .au, and so on). If this option is chosen, samplename is the name of a file.

-e
Play the sample from the esd cache. If this option is chosen, samplename is the name of the sample in the cache.

-h
Display help text, and exit.

-m
Specify that the output should be in mono format. By default, the output is in stereo format.

-r freq
Specify that the output rate should be set to freq. By default, the output rate is set to 44.1 kHz.

OPERANDS

The following operands are supported:

samplename
The name of the sample to be played. If the -e option is used, samplename is the esd cache name. Otherwise, samplename is a filename.

EXAMPLES

Example 1: Playing a sample from a file

example% esdsample generic.wav

Example 2: Playing a sample from the esd cache

example% esdsample -e esdctl:generic.wav
(where esdctl:generic.wav is the cache name)

EXIT STATUS

The following exit values are returned:

0
Application exited successfully

>0
Application exited with failure

SEE ALSO

esd(1), esdcat(1), esddsp(1), esdloop(1), esdplay(1), esd-config(1), esdctl(1), esdfilt(1), esdmon(1), esdrec(1)